from django.urls import path
from django.conf.urls import *

from . import views


urlpatterns = [
    path('', views.index, name='index'),
    path('contestado/', views.gracias, name='gracias'),
    path('login/', views.login, name='login'),
    path('logout/', views.logout, name='logout'),
    path('nuevoFormulario/', views.nuevoform, name='nuevoform'),
    path('formdata/', views.formdata, name='formdata'),
    path('formedit/', views.formedit, name='formedit'),
    path('formcontestar/', views.formcontestar, name='formcontestar'),
    path('getPaginaPrincipal/', views.getPaginaPrincipal, name='getPaginaPrincipal'),
    path('generarurl/', views.generarurl, name='generarurl'),
    path('submitPaginaPrincipal/', views.submitPaginaPrincipal, name='submitPaginaPrincipal'),
    path('submitDatosAdmin/', views.submitDatosAdmin, name='submitDatosAdmin'),
    path('eliminarForm/', views.eliminarForm, name='eliminarForm'),
    url(r'editarFormulario/(?P<formulario>.*)/$', views.editForm, name='editForm'),
    url(r'graficcontestar/(?P<formulario>.*)/(?P<seccion>.*)/(?P<framerate>.*)/(?P<lastusuario>.*)/$', views.graficcontestar, name='graficcontestar'),
    url(r'grafic/(?P<framerate>.*)/$', views.grafic, name='grafic'),
    url(r'contestar/(?P<formulario>.*)/paginaPrincipal/$', views.viewFormPaginaPrincipal, name='viewFormPaginaPrincipal'),
    url(r'verFormulario/(?P<formulario>.*)/$', views.viewFormAdmin, name='viewFormAdmin'),
    url(r'contestar/(?P<formulario>.*)/$', views.viewForm, name='viewForm'),
    url(r'descargar/(?P<formulario>.*)/$', views.descargar, name='descargar'),
    url(r'descargar/$', views.descargartodos, name='descargartodos'),
    url(r'edit/(?P<username>.*)/$', views.adminedit, name='adminedit'),
    url(r'^(?P<username>.*)/$', views.adminprofile, name='adminprofile'),


]